From 08679aeae2ea1b8af6979890a7356fa04408a47f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 13 2020 06:10:01 +0000
Subject: [PATCH 1724/2232] Include cstddef for std::ptrdiff_t in iterator difference_type


---

diff --git a/gen/src/builtin.rs b/gen/src/builtin.rs
index cee188d..b32443c 100644
--- a/gen/src/builtin.rs
+++ b/gen/src/builtin.rs
@@ -59,6 +59,7 @@ pub(super) fn write(out: &mut OutFile) {
     }
 
     if builtin.rust_slice {
+        include.cstddef = true;
         include.iterator = true;
         include.type_traits = true;
         builtin.friend_impl = true;
@@ -73,6 +74,7 @@ pub(super) fn write(out: &mut OutFile) {
     if builtin.rust_vec {
         include.algorithm = true;
         include.array = true;
+        include.cstddef = true;
         include.initializer_list = true;
         include.iterator = true;
         include.new = true;

